XMLTreenode (Exploit Pack)
Date: 2016-08-16

exploitpack

## Class XMLTreenode

- java.lang.Object
- - exploitpack.XMLTreenode

-     public class XMLTreenode
      extends java.lang.Object

  Author:
    jsacco

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `Author`
    `java.lang.String` | `CodeName`
    `java.lang.String` | `Date`
    `java.lang.String` | `ExploitName`
    `java.lang.String` | `ExploitType`
    `java.lang.String` | `Information`
    `java.lang.String` | `LocalPort`
    `java.lang.String` | `Platform`
    `java.lang.String` | `RemotePort`
    `java.lang.String` | `Service`
    `java.lang.String` | `ShellcodeAvailable`
    `java.lang.String` | `ShellPort`
    `java.lang.String` | `SpecialArgs`
    `java.lang.String` | `Targets`
    `java.lang.String` | `Vulnerability`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLTreenode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `main(java.lang.String[] args, java.lang.String XMLName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ExploitName

          public java.lang.String ExploitName

    - #### CodeName

          public java.lang.String CodeName

    - #### ExploitType

          public java.lang.String ExploitType

    - #### Platform

          public java.lang.String Platform

    - #### Service

          public java.lang.String Service

    - #### RemotePort

          public java.lang.String RemotePort

    - #### LocalPort

          public java.lang.String LocalPort

    - #### ShellPort

          public java.lang.String ShellPort

    - #### ShellcodeAvailable

          public java.lang.String ShellcodeAvailable

    - #### Vulnerability

          public java.lang.String Vulnerability

    - #### Author

          public java.lang.String Author

    - #### Information

          public java.lang.String Information

    - #### Date

          public java.lang.String Date

    - #### Targets

          public java.lang.String Targets

    - #### SpecialArgs

          public java.lang.String SpecialArgs

  - ### Constructor Detail

    - #### XMLTreenode

          public XMLTreenode()

  - ### Method Detail

    - #### main

          public void main(java.lang.String[] args,
                           java.lang.String XMLName)